# Class MarketDepthInfo

#### Hierarchy

- unknown
  - MarketDepthInfo

- Defined in src/protobuf/grpc_pb.d.ts:2272
- Defined in src/protobuf/grpc_pb.d.ts:2304

#####
Index

### Constructors

constructor

### Methods

addBuyDepth
addBuyPrices
addSellDepth
addSellPrices
clearBuyDepthList
clearBuyPricesList
clearSellDepthList
clearSellPricesList
getBuyDepthList
getBuyPricesList
getCurrencyCode
getSellDepthList
getSellPricesList
serializeBinary
setBuyDepthList
setBuyPricesList
setCurrencyCode
setSellDepthList
setSellPricesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketDepthInfo(): MarketDepthInfo

- #### Returns MarketDepthInfo

  Inherited from jspb.Message.constructor

## Methods

### addBuyDepth

- addBuyDepth(value: number, index?: number): MarketDepthInfo

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2284

### addBuyPrices

- addBuyPrices(value: number, index?: number): MarketDepthInfo

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2279

### addSellDepth

- addSellDepth(value: number, index?: number): MarketDepthInfo

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2294

### addSellPrices

- addSellPrices(value: number, index?: number): MarketDepthInfo

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2289

### clearBuyDepthList

- clearBuyDepthList(): MarketDepthInfo

- #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2283

### clearBuyPricesList

- clearBuyPricesList(): MarketDepthInfo

- #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2278

### clearSellDepthList

- clearSellDepthList(): MarketDepthInfo

- #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2293

### clearSellPricesList

- clearSellPricesList(): MarketDepthInfo

- #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2288

### getBuyDepthList

- getBuyDepthList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/grpc_pb.d.ts:2281

### getBuyPricesList

- getBuyPricesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/grpc_pb.d.ts:2276

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2273

### getSellDepthList

- getSellDepthList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/grpc_pb.d.ts:2291

### getSellPricesList

- getSellPricesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/grpc_pb.d.ts:2286

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2296

### setBuyDepthList

- setBuyDepthList(value: number[]): MarketDepthInfo

- #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2282

### setBuyPricesList

- setBuyPricesList(value: number[]): MarketDepthInfo

- #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2277

### setCurrencyCode

- setCurrencyCode(value: string): MarketDepthInfo

- #### Parameters

  - ##### value: string

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2274

### setSellDepthList

- setSellDepthList(value: number[]): MarketDepthInfo

- #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2292

### setSellPricesList

- setSellPricesList(value: number[]): MarketDepthInfo

- #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2287

### toObject

- toObject(includeInstance?: boolean): MarketDepthInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketDepthInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2297

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2300

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthInfo, reader: BinaryReader): MarketDepthInfo

- #### Parameters

  - ##### message: MarketDepthInfo

  - ##### reader: BinaryReader

  #### Returns MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2301

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketDepthInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2299

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketDepthInfo): MarketDepthInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthInfo

  #### Returns MarketDepthInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2298

Generated using TypeDoc